#include <bits/stdc++.h>

using namespace std;

int cifre(int n){
    int br = 0;
    while(n > 0){
        n/=10;
        br++;
    }
    return br;
}

int proizvod(int n){
    int br = 1;
    for(int i = 0; i < cifre(n); i++){
        br*=(n%10);
        n/=10;
    }
    return br;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    for(int i = 0; i < n; i++){
        int p;
        cin >> p;
        map<int,int> bp;
        int rez = 0;
        for(int j = 1; j <= p; j++){
            int k = proizvod(j);
            bp[k]++;
            if(bp[k] == 1){
                rez++;
            }
        }
        cout << rez << endl;
    }
}